package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyVoiceApi;

/**
 * 呼叫接口Service接口
 * 
 * @author fs
 * @date 2021-10-04
 */
public interface ICompanyVoiceApiService 
{
    /**
     * 查询呼叫接口
     * 
     * @param apiId 呼叫接口ID
     * @return 呼叫接口
     */
    public CompanyVoiceApi selectCompanyVoiceApiById(Long apiId);

    /**
     * 查询呼叫接口列表
     * 
     * @param companyVoiceApi 呼叫接口
     * @return 呼叫接口集合
     */
    public List<CompanyVoiceApi> selectCompanyVoiceApiList(CompanyVoiceApi companyVoiceApi);

    /**
     * 新增呼叫接口
     * 
     * @param companyVoiceApi 呼叫接口
     * @return 结果
     */
    public int insertCompanyVoiceApi(CompanyVoiceApi companyVoiceApi);

    /**
     * 修改呼叫接口
     * 
     * @param companyVoiceApi 呼叫接口
     * @return 结果
     */
    public int updateCompanyVoiceApi(CompanyVoiceApi companyVoiceApi);

    /**
     * 批量删除呼叫接口
     * 
     * @param apiIds 需要删除的呼叫接口ID
     * @return 结果
     */
    public int deleteCompanyVoiceApiByIds(Long[] apiIds);

    /**
     * 删除呼叫接口信息
     * 
     * @param apiId 呼叫接口ID
     * @return 结果
     */
    public int deleteCompanyVoiceApiById(Long apiId);

    Integer selectCompanyVoiceApiCount();
}
